#include <iostream>
#include <unordered_map>
#include <random>

#include "io.h"
#include "sims.h"
#include "motions/random.h"
#include "times/delta.h"


int main (int argc, char *argv[]) {

    if (argc < 2) {
        std::cerr << "Usage: " << argv[0] << " PARAMETER_FILE" << std::endl;
        return 1;
    }
    std::cout << argv[0] << std::endl;

    std::unordered_map parameter { parse_arguments(argv[1]) };

    std::random_device rd;
    std::mt19937_64 rng(rd());

    auto motion = RandomJump(rng);
    auto dist = DeltaDistribution(rng);

    run_spectrum(parameter, motion, dist);

}
